# DCM/DFA Reporting And Trafficking API . languages

## Instance Methods

Retrieves a list of languages.

### Method Details

`list(profileId)`

    Retrieves a list of languages.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Language List Response
        "languages": [ # Language collection.
          { # Contains information about a language that can be targeted by ads.
            "languageCode": "A String", # Format of language code is an ISO 639 two-letter language code optionally followed by an underscore followed by an ISO 3166 code. Examples are "en" for English or "zh_CN" for Simplified Chinese.
            "kind": "dfareporting#language", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#language".
            "id": "A String", # Language ID of this language. This is the ID used for targeting and generating reports.
            "name": "A String", # Name of this language.
          },
        ],
        "kind": "dfareporting#languagesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#languagesListResponse".
      }